DS Server

GET /license/validateserialstring

Endpoint

GET https://example.com/license/validateserialstring

Description

Validates the format of a serial string: two upper case letters, followed by a dash and ten digits, for example XX-0000000000. The endpoint checks only the format, not whether the serial number exists.

Examples

The following sample validates the format of a given serial string.

# Request:
curl --request GET 'https://trial.dsserver.io/license/validateserialstring?serial=yourserialnumber' \
    --header 'Authorization: Basic e3t1c2VyX25hbWV9fTp7e3Bhc3N3b3JkfX0='

Authorization

This endpoint supports the Basic authorization method:

Basic

Header fieldDescription
AuthorizationThe username "admin" and your admin password are combined into a string separated by a colon, e.g.: admin:password. The resulting string is encoded using the RFC2045-MIME variant of Base64, except not limited to 76 char/line. The authorization method and a space i.e. "Basic " is then put before the encoded string. For example: Authorization: Basic QWxhZGRpbjpPcGVuU2VzYW1l

Request Parameters

NameTypeValueOptional
serialStringThe given serial number of your DS Server installation.no

Success Response

StatusDescription
200On success, the HTTP status code in the response header is 200 (OK), if the serial string has a valid format. The response body is empty.

Error Response

StatusDescription
401A 401 (Unauthorized) with an empty body and the header WWW-Authenticate: Basic realm=Access to the Admin page is returned, if the admin credentials are missing or wrong.
400A 400 (Bad Request) is returned, if the serial number is missing or has a bad format. The body is the plain text "Invalid serial string. A serial string consists of two upper case letters, followed by a dash and ten digits (e. g. XX-0000000000)."